* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    user-select: none;
}
html{
    scroll-behavior: smooth;
}
#loader{
    height: 100vh;
    width: 100%;
    background-color: rgb(46, 4, 87);
    position:fixed;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
}
#loader h1{
    font-size: 100px;
    font-family: monospace;
}

body {
    background-color: #080808;
    color: #fff;
}

#header {
    width: 100%;
    height: 60vh;
    /* background-image: url("headerimage.jpeg"); */
    background-size: cover;
    background-position: center;
}

.container {
    padding: 10px 10%;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.logo {
    width: 140px;
}

nav ul li {
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a {
    color: whitesmoke;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after {
    content: '';
    width: 0%;
    height: 3px;
    background: darkred;
    position: absolute;
    left: 0;
    bottom: -5px;
    transition: 0.5s;
}

nav ul li a:hover::after {
    width: 100%;
}

.header-text {
    margin-top: 10%;
    font-size: 30px;
}

.header-text h1 {
    font-size: 60px;
    margin-top: 20px;
}

.header-text h1 span {
    color: darkred;
}

/* about */
#about {
    padding: 40px 0;
    color: antiquewhite;
}

.row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1 {
    flex-basis: 35%;
}

.about-col-1 img {
    width: 100%;
    border-radius: 15px;
}

.about-col-2 {
    flex-basis: 100%;
}

.sub-title {
    font-size: 60px;
    font-weight: 600;
    color: antiquewhite;
}

.tab-titles {
    display: flex;
    margin: 20px 0 40px;
}

.tab-links {
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after {
    content: '';
    width: 0;
    height: 3px;
    background-color: darkred;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after {
    width: 100%;

}

.tab-contents {
    list-style: none;
    margin: 10px 0;
  
}

.tab-contents ul li span {
    color: darkred;
    font-size: 14px;
   
}


.tab-contents {
    display: none;
}

.tab-contents.active-tab {
    display: block;
}


/* services */
#services {
    padding: 10px 0;
}

.services-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.services-list div {
    background-color: #262626;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s, transform 0.5s;
}

.services-list div i {
    font-size: 50px;
    margin-bottom: 30px;
}

.services-list div h2 {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div a {
    text-decoration: none;
    color: yellowgreen;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}

.services-list div:hover  {
    background-color: red;
    transform: translateY(-10px);
    i{
        color: yellowgreen;
    }
}


.services-list div li{
    color: #fcb900;
}

/* portfolio */
#portfolio {
    padding: 50px 0;
}

.work-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.work {
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}

.work img {
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}

/* to add this layer change it again to just discord, netflix or amazon and change the color of your choice */
.layer {
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgb(167, 2, 2));
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
}

.layer h3 {
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a {
    margin-top: 20px;
    color: darkred;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: antiquewhite;
    width: 60px;
    height: 60px;
    border-radius: 30%;
    text-align: center;
}

.work:hover img {
    transform: scale(1.1);
}

.work:hover .layer {
    height: 45%;
}

/* see all button  */
.btn {
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid rgb(140, 8, 8);
    padding: 14px 50px;
    border-radius: 6px;
    color: antiquewhite;
    text-decoration: none;
    transform: background 0.5s;
}

.btn:hover {
    background: red;

}


/* contact  */
.contact-left {
    flex-basis: 35%;
}

.contact-right {
    flex-basis: 60%;
}

.contact-left p {
    margin-top: 30px;
}

.contact-left p i {
    color: red;
    margin-right: 15px;
    font-size: 25px;
}

.social-icons {
    margin-top: 30px;
}

.social-icons a {
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: antiquewhite;
    display: inline-block;
    transition: transform 0.5s;
}

.social-icons a:hover {
    color: red;
    transform: translateY(-5px);
}

.btn.btn2 {
    display: inline-block;
    background: red;
    margin: 18px 0;
}

.contact-right form {
    width: 100%;
}

form input,
form textarea {
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: antiquewhite;
    font-size: 18px;
    border-radius: 5px;
}

form btn2 {
    padding: 14px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}

.copyright {
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    margin-top: 20px;
    font-weight: 300;
}

.copyright i {
    color: red;
}
.sub-text{
    color: green;
    margin-top: 12px;
    font-weight: 100;
    font-family: monospace;
    text-wrap: wrap;
    font-size: smaller;
}

/* css for small screen  */
nav .fas{
    display: none;
}

@media only screen and (max-width: 600px) {
    #header {
        /* give a image for phone background */
        background-image: url();
        height: 35vh;
    }

    .header-text {
        margin-top: 15%;
        font-size: 16px;
    }

    .header-text h1 {
        font-size: 30px;
    }

    nav .fas{
        display: block;
        font-size: 25px;
    }

    nav ul{
        background: darkred;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }
    nav ul li {
        display: block;
        margin: 25px;
        text-align: center;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
    .work-list{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
        grid-gap: 33px;
        margin-top: 50px;
    }
    .work{
        height: 290px;
    }
}
#success
{
    color: #61b752;
    margin-top: -40px;
    display: block;
}
#preloader{
    background: #080808;
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 100;
}